iTunes 7.7 and iPhone software 2.1

Discussion in 'iPhone' started by ribenaberrie, Sep 13, 2008.

  1. ribenaberrie macrumors member

    Joined:
    Aug 14, 2008
    Location:
    Sydney, Australia
  2. iFerd macrumors 6502a

    Joined:
    Jul 20, 2007
    #2
    I don't know the exact answer to your question, because I followed Apple's explicit directions, which say to update iTunes to version 8 before installing the firmware update.

    And all is good for me with that. My main source of frustration (all App Store apps crashing upon launch) is gone so far. And because the only reason I know of to want to use iTunes 7.7 is to prevent those crashes, I see no reason not to update iTunes..
     
  3. hellomoto4 macrumors 6502a

    hellomoto4

    Joined:
    Jul 11, 2008
    Location:
    Australia
    #3
    My guess is that it would still work, even though Apple say to download 8.0.
    They probably just want people to download 8.0 quicker :p

    I would d/l 8.0 just to be safe, it's not that hard to do anyway lol.
     
  4. JML42691 macrumors 68020

    JML42691

    Joined:
    Oct 24, 2007
    #4
    I am not sure what the procedure was for the iPhone, but for my iPod touch it would not allow me to download the 2.1 firmware until I had downloaded iTunes 8.0. So I am tempted to say no. And plus, there would not be a way for the Genius playlist function to work if it cannot connect to an iTunes version that has it. So even if it would work, you would definitely lose the Genius capabilities on your phone. And what would there be that would prevent you from wanting to upgrade from 7.7 to 8?
     
  5. rudolf macrumors member

    Joined:
    Jun 12, 2008
    #5
    I tried updating to 2.1 and it wouldn't let me unless I also updated to iTunes 8.0.
     
  6. TJB627 macrumors newbie

    Joined:
    Jul 24, 2008
    #6
    Even if it does work, you wouldn't have the genius playlists which is one of my favorite features so far.
     
  7. neesh0 macrumors 6502a

    neesh0

    Joined:
    Sep 6, 2008
    Location:
    Toronto, Ontario
    #7
    You have to update itunes, otherwise you will be stuck on 2.0.2
     
  8. daneoni macrumors G4

    daneoni

    Joined:
    Mar 24, 2006
    #8
    It wont work i just tried it and it told me "iPhone cannot be used with this version of iTunes.....update to iTunes 8.0". This is most likely because the mobile device driver has been updated
     

Share This Page